<!DOCTYPE html>
<html lang="zxx">

<head>
  <meta charset="utf-8">
  <title>MDEF/Embeded programming</title>

  <!-- mobile responsive meta -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

  <!-- ** Plugins Needed for the Project ** -->
  <!-- Bootstrap -->
  <link rel="stylesheet" href="../plugins/bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="../plugins/themify/css/themify-icons.css">
  <link rel="stylesheet" href="../plugins/counto/animate.css">
  <link rel="stylesheet" href="../plugins/aos/aos.css">
  <link rel="stylesheet" href="../plugins/owl-carousel/owl.carousel.min.css">
  <link rel="stylesheet" href="../plugins/owl-carousel/owl.theme.default.min.css">
  <link rel="stylesheet" href="../plugins/magnific-popup/magnific-popup.css">
  <link rel="stylesheet" href="../plugins/animated-text/animated-text.css">

  <!-- Main Stylesheet -->
  <link href="../designspace/style.css" rel="stylesheet">

</head>


<body>

<!-- Navigation Start -->
<!-- Header Start -->

<div class= "header">

  <nav class="navbar navbar-expand-lg  main-nav " id="navbar">
  	<div class="container">
  	  <a class="navbar-brand" href="../index.html">
  	  	<img src="../images/logo.png" alt="" class="img-fluid">
  	  </a>


  	  <button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#navbarsExample09" aria-controls="navbarsExample09" aria-expanded="false" aria-label="Toggle navigation">
  		<span class="ti-align-justify"></span>
  	  </button>

  		  <div class="collapse navbar-collapse" id="navbarsExample09">
  			<ul class="navbar-nav ml-auto">

  			  <li class="nav-item  active"><a class="nav-link" href="../index.html">Home</a></li>

  			  <li class="nav-item dropdown active">
  					<a class="nav-link dropdown-toggle" href="#" id="dropdown02" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Reflection</a>
  					<ul class="dropdown-menu" aria-labelledby="dropdown02">
  						<li><a class="dropdown-item" href="../blog-grid.html">Term 1</a></li>
  						<li><a class="dropdown-item" href="../exploration/dummy.html">Term 2</a></li>
  						<li><a class="dropdown-item" href="../exploration/dummy.html">Term 3</a></li>
  					</ul>
  			  </li>

          <li class="nav-item dropdown active">
           <a class="nav-link dropdown-toggle" href="#" id="dropdown02" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">Research</a>
           <ul class="dropdown-menu" aria-labelledby="dropdown02">
             <li><a class="dropdown-item" href="../designspace/design-space.html">Design Space</a></li>
             <li><a class="dropdown-item" href="../materials.html">Materiality</a></li>
           </ul>
         </li>

  			   <li class="nav-item"><a class="nav-link" href="../contact.html">GitLab</a></li>
           <li class="nav-item  active"><a class="nav-link" href="../myself.html">About</a></li>

  			</ul>
  		</div>
  	</div>
  </nav>
</div>
<!-- Header Close -->


<section class="page-title section pb-0">
  <div class="container">
    <div class="row">
      <div class="col-lg-12">
        <div class="text-center">
          <h1 class="text-capitalize mb-0 text-lg">Embeded programming</h1>
        </div>
      </div>
    </div>
  </div>
</section>



	<div class="fabclass">
              <br> </br>
              <h3> This week was about programming a micro-controller, which is a tinny computer chip </h3>
              <br> </br>
               <img src="embeded.jpg" alt="" class="img-fluid fabimage">
                 <br> </br>
                 <p>So the first thing you have to do in order to understand what is inside a micro-controller is to have a look at its datasheet, which normaly is not just a sheet but a 230 pages pdf. I chose to look
                   at the Atmega328U which is the one that I would use. Here is the link to the datasheet: <a href="http://ww1.microchip.com/downloads/en/DeviceDoc/Atmel-7810-Automotive-Microcontrollers-ATmega328P_Datasheet.pdf"><b>ATmega328P_Datasheet</b></a>.</p>
                   <p>So in the micro-controllers there is memory. One kind of memory is the register, which is the easily accesible one, when you are asking for functions. The FLASH memory is the one that you use
                     if you want to put programs in the Microcontrollers.</p>

                     <p> If you want to program the microcontroller with an Arduino you can connect the microchip to the breadboard.</p>
                     <img src="atmegapro.jpg" alt="shaders" class="img-fluid fabimage">

                     <p>Here are the pins of the Atmega328P: </p>
                     <img src="atmega328p.jpg" alt="shaders" class="img-fluid fabimage">


                     <ul>
                     <li><p>Choose your Arduino as ISP programmer in the Tools > Programmer menu. </p></li>
                     <li><p>First, upload to the arduino the sketch code "Arduino as ISP", which is at File>Examples>11.Arduino as ISP</li></p>
                     <li><p>Then choose your ATmega microcontroller family from Tools > Board, the specific chip you have from Tools > Processor and your choice of clock frequency and source from Tools > Clock.
                     In my case I had to chose the Atmega328, since I had the chip ATmega328U. It worked fine with the simple one.</li></p>
                     <li><p>To set the ATmega configuration fuses, use the Tools > Burn Bootloader menu item. This doesn't actually burn an Arduino bootloader onto the chip, it only sets the chip configuration for the chosen clock settings.
                    In my case, I used an Internal option, for example the 1Hz Internal.</li></p>
                     <li><p>Connect the wires with the right configuration from the Arduino Uno to the Atmega</p></li>
                     <li><p>To load programs into the microcontroller use the Sketch > Upload with Programmer menu entry. </p></li>
                    </ul>



      </div>


    <section class="footer">
    	<div class="container">
    		<div class="row ">
    			<div class="col-lg-6">
    			</div>
    			<div class="col-lg-6">
    				<div class="widget footer-widget text-lg-right mt-5 mt-lg-0">
    					<ul class="list-inline mb-0">

    					</ul>
    				</div>
    			</div>
    		</div>
    	</div>
    </section>

</body>

<!-- jQuery -->
<script src="../plugins/jQuery/jquery.min.js"></script>
<!-- Bootstrap JS -->
<script src="../plugins/bootstrap/bootstrap.min.js"></script>
<script src="../plugins/aos/aos.js"></script>
<script src="../plugins/owl-carousel/owl.carousel.min.js"></script>
<script src="../plugins/shuffle/shuffle.min.js"></script>
<script src="../plugins/magnific-popup/jquery.magnific-popup.min.js"></script>
<script src="../plugins/animated-text/animated-text.js"></script>
<script src="../plugins/counto/apear.js"></script>
<script src="../plugins/counto/counTo.js"></script>

 <!-- Google Map -->
<script src="../plugins/google-map/map.js"></script>
<!-- Main Script -->
<script src="js/script.js"></script>

</html>
